android studio flutter代理设置问题

前提

初次安装flutter,通过代理设置加快速度安装首次更新数据,但在添加设备并开始打包编译时出现classpath找不到的情况

1.在初次启动IDE的时候会提示更新各种SDK包,此时一般会直接设置代理,我的系统时Ubuntu18.04,所以直接代理了本地,127.0.0.1 端口1080

2.在编译打包的时候出现了找不到相关的包,原因是flutter三个默认配置的地方采用了Google路径的包

切换maven包源为国内阿里源

在android/build.gradle下都换为

//        google()
//        jcenter()
maven { url 'https://maven.aliyun.com/repository/google' }
maven { url 'https://maven.aliyun.com/repository/jcenter' }
maven { url 'http://maven.aliyun.com/nexus/content/groups/public' }

切换flutter sdk包源为国内阿里源

flutter安装路径

vim /home/elinx/web/tools/flutter/packages/flutter_tools/gradle/flutter.gradle

//        google()
//        jcenter()
maven { url 'https://maven.aliyun.com/repository/google' }
maven { url 'https://maven.aliyun.com/repository/jcenter' }
maven { url 'http://maven.aliyun.com/nexus/content/groups/public' }

关闭IDE全局代理 : 设置->搜索proxy

关闭由于IDE自己生成的本地的全局代理(这里才是IDE内部最终代理使用配置)

我的本地路径: vim .gradle/gradle.properties

注释所有代理项和端口

systemProp.https.nonProxyHosts=192.168.*,*.test
#systemProp.https.proxyPort=1080
#systemProp.http.proxyHost=127.0.0.1
systemProp.http.nonProxyHosts=192.168.*,*.test
#systemProp.https.proxyHost=127.0.0.1
#systemProp.http.proxyPort=1080

你可能感兴趣的